class OmniauthCallbacksController < Devise::OmniauthCallbacksController
  	def failure
		redirect_to admin_login_path
	end

	def crowd
		admin = Admin.from_omniauth(request.env["omniauth.auth"].with_indifferent_access)
		sign_out(current_user) if !current_user.nil?
		sign_in_and_redirect admin
	end
end
