class Admin < ActiveRecord::Base
  devise :omniauthable

  validates :uid, presence: true, uniqueness: true

  def self.from_omniauth params
  	where(params.slice(:uid)).first_or_create(fname: params[:info][:first_name], lname: params[:info][:last_name])
  end
end
